/**
 * Css for Widget
 */

.blog-recent-posts{
    background: #fff;
    padding: 24px;
    margin-bottom: 24px;
}

body.etg-bkg-white .blog-recent-posts{
    background: var(--etg-bkg-light);
}


.blog-recent-posts h3.latest-title {
    color: var(--etg-color-txt-body);
    font-size: 1.625rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.875rem;
    border-bottom: 1px solid #d3d3d3;
    padding-bottom:16px;
    margin-bottom: 24px;
}

.blog-recent-posts ul.list{
    margin: 0;
    padding: 0;
    list-style: none;
}


.blog-recent-posts li.latest-item{
    display: flex;
    gap: 8px;
    margin-bottom: 32px;
}

.blog-recent-posts a.blockImage{
    display: block;
    aspect-ratio: 133/95;
    min-width: 100px;
    width: 100px;
    overflow: hidden;
}

.blog-recent-posts a.blockImage picture{
    width: 100%;
    height:100%;
}

.blog-recent-posts a.blockImage picture img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
    transition: transform 0.3s ease-out;
}

.blog-recent-posts .latest-item:hover picture img{
    transform: scale(1.2);
    transition: transform 0.3s ease-in;
}

.blog-recent-posts li.latest-item a.post-title {
    color: var(--etg-color-txt-body);
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.625rem;
    text-decoration: none;
    display: inline-block;
}

.blog-recent-posts li.latest-item a.action {
    color: var(--etg-color-txt-body);
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: 1.625rem;
    text-decoration: none;
    display: inline-block;
    margin-top: 16px;
}

.blog-recent-posts li.latest-item a.action svg{
    width: 12px;
}

.blog-recent-posts li.latest-item a.post-title:hover,
.blog-recent-posts li.latest-item a.action:hover {
    color: var(--etg-primary);
    text-decoration: underline;
    transition: all 0.3s ease-in-out;
}

.blog-recent-posts .mainLinkBlog svg{
    width: 16px;
    margin-left: 4px;
    margin-top: -2px;
}
